Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Class KeyStoreBuilderParameters

    java.lang.Object
      javax.net.ssl.KeyStoreBuilderParameters

All Implemented Interfaces:
  ManagerFactoryParameters

    public class KeyStoreBuilderParameters

extends Object
implements ManagerFactoryParameters

A parameters object for X509KeyManagers that encapsulates a List of KeyStore.Builders.

Since:
  1.5
See Also:
  `KeyStore.Builder`, `X509KeyManager`

Constructor Summary
`KeyStoreBuilderParameters(KeyStore.Builder builder)` Construct new KeyStoreBuilderParameters from the specified KeyStore.Builder.
`KeyStoreBuilderParameters(List parameters)` Construct new KeyStoreBuilderParameters from a List of KeyStore.Builders.

Method Summary
`List` | `getParameters()` Return the unmodifiable List of the KeyStore.Builders encapsulated by this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyStoreBuilderParameters

    public KeyStoreBuilderParameters(KeyStore.Builder builder)

  Construct new KeyStoreBuilderParameters from the specified KeyStore.Builder.

  Parameters:
    `builder` - the Builder object
  Throws:
    `NullPointerException` - if builder is null

### KeyStoreBuilderParameters

    public KeyStoreBuilderParameters(List parameters)

  Construct new KeyStoreBuilderParameters from a List of KeyStore.Builders. Note that the list is cloned to protect against subsequent modification.

  Parameters:
    `parameters` - the List of Builder objects
  Throws:
    `NullPointerException` - if parameters is null
    `IllegalArgumentException` - if parameters is an empty list

Method Detail

### getParameters

    public List getParameters()

  Return the unmodifiable List of the KeyStore.Builders encapsulated by this object.

  Returns:
    the unmodifiable List of the KeyStore.Builders encapsulated by this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.